experimental::AEntry(3)

NAME
experimental::AEntry - The Entry class encapsulates table metadata(table name, row id) and data for new and existing entries in the database to operate on.

SYNOPSIS

#include <aentry.h>

Inherited by experimental::AAircraftEntry, experimental::AFlightEntry, experimental::APilotEntry, and experimental::ATailEntry.

  Public Member Functions
AEntry (const AEntry &)=default
AEntry & operator= (const AEntry &)=default
AEntry (DataPosition position_)
AEntry (TableData table_data)
AEntry (DataPosition position_, TableData table_data)
void setData (TableData table_data)
void setPosition (DataPosition position_)
const DataPosition & getPosition ()
const TableData & getData ()

  Public Attributes
TableData tableData

  Protected Attributes
DataPosition position

Detailed Description

The Entry class encapsulates table metadata(table name, row id) and data for new and existing entries in the database to operate on.

Author

Generated automatically by Doxygen for openPilotLog from the source code.